Bug Hunting Session
Bug 90473 - Bibliography detailed view no longer usable after search
Summary: Bibliography detailed view no longer usable after search
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.0.0 target:4.4.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-04-06 06:52 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 08:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (54.88 KB, image/png)
2015-04-06 06:52 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-06 06:52:00 UTC
Created attachment 114640 [details]
screenshot

Steps:
1) Open Writer
2) Tools > Bibliography Database
3) In the search field type "DUD00"
4) Detailed view no longer has accessible fields.

Regression as this works fine in 4.3 daily. Likely caused by the dialog conversion work.

Version: 4.5.0.0.alpha0+
Build ID: b024e36ddb3b53163d7a01f6f7b5aadb7a858cd9
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-03-31_08:18:46
Comment 1 A (Andy) 2015-04-06 11:54:58 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 2 Matthew Francis 2015-04-09 04:03:24 UTC
This seems to have broken across the below commits.
Adding Cc: to palenik.mihaly@gmail.com, caolanm@redhat.com; Could you possibly take a look at this? Thanks

    commit eba5e5b6b6577cc2d0bbd1ff66eefd0e2024fc4e
    Author:     Palenik Mihály <palenik.mihaly@gmail.com>
    AuthorDate: Mon Aug 18 13:03:08 2014 +0200
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Wed Aug 20 08:00:21 2014 -0500
    
        Convert RID_TP_GENERAL tabpage to .ui
    
        Change-Id: I32300c3d06a8c30d8e75f343cd2af8acef7296ae
        Reviewed-on: https://gerrit.libreoffice.org/10989
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>

    commit 4b339818bb036b409dd5dc00d645c62063e63de5
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Wed Aug 20 12:01:14 2014 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Wed Aug 20 14:00:58 2014 +0100
    
        add a VclViewport
    
        like GtkViewport so that the scrolled region will be clipped,
        which also has the side-effect of stopping glade clobbering
        the non view-port scrolled .ui files on editing
    
        Change-Id: Ic64174b3a35b77f068e0085cdc7721aeb33f1d82
    

    commit a6c5f2ba6bca8ad95a3731e2770a1d216c9925a0
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Mon Aug 18 14:01:32 2014 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Wed Aug 20 14:00:59 2014 +0100
    
        rework RID_TP_GENERAL conversion to make widgets visible, etc.
    
        Change-Id: I93e30198e27631ad4a6865fd202af16094c26a41
Comment 3 Commit Notification 2015-04-09 11:20:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ad3ed20071c81e031c1ed7f546c37fd280803c0

Resolves: tdf#90473 bibliography doesn't resize after reload

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-04-09 12:27:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=81cb36b2678f41240829de10a0783a3040f8ec85&h=libreoffice-4-4

Resolves: tdf#90473 bibliography doesn't resize after reload

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Robinson Tryon (qubit) 2015-12-17 08:51:56 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]